// Author: Christoph Schwirzer
#include <cstdio>
#include <iostream>
#include <climits>
#include <algorithm>
using namespace std;
int eat[1024];
int main()
{
//	freopen("food.in", "r", stdin);
	int n;
	while (scanf("%d", &n), n)
	{
		int a, b;
		scanf("%d%d", &a, &b);
		int total = 0;
		for (int i=0; i<n; i++)
		{
			scanf("%d", eat+i);
			eat[i] *= 6;
			total += eat[i];
		}
		int res = INT_MAX;
		sort(eat, eat+n);
		for (int t=1; t<=3; t++)
		{
			for (int i=0; i<n; i++)
			{
				if (eat[i] / t * 3 < eat[n-1])
					continue;
				int x = -total, y = 0;
				int *q = eat + 0;
				for (int j=1; j<=3; j++)
				{
					int *p = lower_bound(eat, eat+n, eat[i] / t * j + 1);
					int sz = p - q;
					q = p;
					x += sz * eat[i] / t * j;
					y += sz * j * 6;
				}
				res = min(res, a * x + b * y);
			}
		}
		int denom = 6;
		if (res % 2 == 0)
		{
			denom /= 2;
			res /= 2;
		}
		if (res % 3 == 0)
		{
			denom /= 3;
			res /= 3;
		}
		printf("%d", res);
		if (denom > 1)
			printf(" / %d", denom);
		puts("");
	}
	return 0;
}
